Package: groovy.util.slurpersupport

## [Java] Class Attributes

- groovy.util.slurpersupport.Attributes

- Lazy evaluated representation of a node's attributes.

  Authors:
    John Wilson

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class GPathResult` | `name, namespaceMap, namespacePrefix, namespaceTagHints, parent`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `Attributes (GPathResult parent, String name, String namespacePrefix, Map<String, String> namespaceTagHints)` @param parent the GPathResult prior to the application of the expression creating this GPathResult
    `Attributes (GPathResult parent, String name, Map<String, String> namespaceTagHints)` @param parent the GPathResult prior to the application of the expression creating this GPathResult

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `build(GroovyObject builder)`
    `` | `Iterator` | `childNodes()` Throws a `GroovyRuntimeException`, because attributes can have no children.
    `` | `GPathResult` | `findAll(Closure closure)`
    `` | `Iterator` | `iterator()`
    `` | `List` | `list()`
    `` | `String` | `name()`
    `` | `Iterator` | `nodeIterator()`
    `` | `GPathResult` | `parents()`
    `` | `String` | `text()`
    `` | `Writer` | `writeTo(Writer out)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class NodeChildren` | `appendNode, build, childNodes, find, findAll, iterator, nodeIterator, parents, replaceBody, replaceNode, size, text, writeTo`
    `class GPathResult` | `appendNode, breadthFirst, childNodes, children, declareNamespace, depthFirst, equals, find, findAll, getAt, getAt, getBody, getProperty, hashCode, isEmpty, iterator, leftShift, list, lookupNamespace, name, nodeIterator, parent, parents, plus, pop, putAt, replaceBody, replaceNode, setMetaClass, setProperty, size, text, toBigDecimal, toBigInteger, toBoolean, toDouble, toFloat, toInteger, toLong, toString, toURI, toURL`
    `class GroovyObjectSupport` | `getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public Attributes(GPathResult parent, String name, String namespacePrefix, Map<String, String> namespaceTagHints)

      Parameters:
        `parent` - the GPathResult prior to the application of the expression creating this GPathResult
        `name` - if the GPathResult corresponds to something with a name, e.g. a node
        `namespacePrefix` - the namespace prefix if any
        `namespaceTagHints` - the known tag to namespace mappings

    - #### public Attributes(GPathResult parent, String name, Map<String, String> namespaceTagHints)

      Parameters:
        `parent` - the GPathResult prior to the application of the expression creating this GPathResult
        `name` - if the GPathResult corresponds to something with a name, e.g. a node
        `namespaceTagHints` - the known tag to namespace mappings

  - ### Method Detail

    - #### public void build(GroovyObject builder)

    - #### public Iterator childNodes()

      Throws a `GroovyRuntimeException`, because attributes can have no children.

    - #### public GPathResult findAll(Closure closure)

    - #### public Iterator iterator()

    - #### public List list()

    - #### public String name()

    - #### public Iterator nodeIterator()

    - #### public GPathResult parents()

    - #### public String text()

    - #### public Writer writeTo(Writer out)